cURL
curl --request POST \
--url https://api.hubapi.com/settings/users/2026-03 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"sendWelcomeEmail": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03"
payload = {
"email": "<string>",
"sendWelcomeEmail": True,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
sendWelcomeEmail: true,
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}ユーザー
Create a user
POST
/
settings
/
users
/
2026-03
cURL
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
successful operation
ユーザーのEメール。
ユーザーの固有ID。
ユーザーに割り当てられた役割IDのリスト。
ユーザーがスーパー管理者特権を持っているかどうか。
ユーザーの名。
ユーザーの姓。
ユーザーのプライマリーチーム
ユーザーの役割。
ユーザーの追加チーム。
ウェルカムEメールがユーザーに送信されたかどうか。この値は、プロビジョニングリクエストへのレスポンスとしてのみ入力されます。後続のクエリーはfalseになります。
最終更新日 2026年4月10日
⌘I